---
title: Howto PDF
...


## Faire un PDF à partir de plusieurs PDF

~~~
$ pdftk 1.pdf 2.pdf 3.pdf 4.pdf 5.pdf cat output out.pdf
~~~

## Découper un PDF

Sélectionner que certaines pages :

~~~
$ pdftk ori.pdf cat 2-5 10-end output out.pdf
~~~

## Pivoter un PDF

De 90° les pages 2 à 5 :

~~~
$ pdftk ori.pdf rotate 2-5right output out.pdf
~~~

left pour -90°, down pour +180°.

## Compresser un PDF :

~~~
$ gs -sDEVICE=pdfwrite -dCompatibilityLevel=1.4 -dPDFSETTINGS=/ebook -dNOPAUSE -dQUIET -dBATCH -sOutputFile=out.pdf in.pdf
~~~

Si l'on veut jouer avec qualité/taille :

* -dPDFSETTINGS=/screen : faible taille/qualité
* -dPDFSETTINGS=/ebook : taille/qualité moyenne
* -dPDFSETTINGS=/printer : taille/qualité importante

## Créer un booklet au format A5

~~~
# apt install psutils
$  pdf2ps in.pdf - | psbook | psnup -2 | ps2pdf - out.pdf
~~~

## Changer le format d'un PDF

De A4 vers A2 :

~~~
$ gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sPAPERSIZE=a2 -dFIXEDMEDIA -dPDFFitPage -sOutputFile=out.pdf in.pdf
~~~

## Couper un pdf A2 en 4 pages A4

La source n'a pas besoin d'être en A2. Si elle est en A4, elle sera automatiquement agrandie.

Ne fonctionne pas si un fichier svg a été directement exporté en pdf, mais fonctionne si c'était une image matricielle :

~~~
# apt install pdfposter
$ pdfposter -mA4 -pA2 in.pdf out.pdf
~~~

Pour un fichier svg, il faut modifier les propriétés du document depuis inkscape en le transformant en A2, sélectionner tout et agrandir pour remplir le cadre A2 en maintenant Ctrl pour garder la proportion, le convertir en pdf (`convert in.svg out.pdf`) puis le couper avec pdfposter.

## Transformer une image en PDF

~~~
# apt install imagemagick
$ convert file.jpg -auto-orient ile.pdf
~~~

En cas d'erreur `attempt to perform an operation not allowed by the security policy 'PDF'`, il faut modifier le fichier `/etc/ImageMagick-6/policy.xml` et commenter la ligne correspondant aux limitation sur les PDF.